Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000139bareos-core[All Projects] directorpublic2013-03-27 20:412015-03-25 19:18
Reporteruser12 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version12.04
Product Version12.4.2 
Target Version12.4.3Fixed in Version12.4.3 
Summary0000139: export command in a RunScript ressource does not get the correct volume when doing scheduled JobType Copy
DescriptionBareos fails to pick the correct volume when doing scheduled Copy-Job.

26-Apr 22:00 sl-bareos01-dir JobId 34: run AfterJob "export storage=TSL volume=VFB-0023"
...
26-Apr 22:00 sl-bareos01-dir JobId 0: No volume named VFB-0023 in changer or in selected source slots.

The correct volume would have been E01001L4 (see Section "Steps to Reproduce" and Additional Information)
Steps To Reproduce26-Apr 22:00 sl-bareos01-dir JobId 34: Using Volume "E01001L4" from 'Scratch' pool.
26-Apr 22:00 sl-bareos01-sd JobId 34: Wrote label to prelabeled Volume "E01001L4" on device
"LTO-5" (/dev/nst0)
26-Apr 22:00 sl-bareos01-sd JobId 34: Forward spacing Volume "VFB-0023" to file:block 0:199.
26-Apr 22:00 sl-bareos01-sd JobId 34: End of Volume at file 0 on device "VirtualDiskStorage"
 (/var/lib/bareos/storage), Volume "VFB-0023"
26-Apr 22:00 sl-bareos01-sd JobId 34: End of all volumes.
26-Apr 22:00 sl-bareos01-sd JobId 34: Elapsed time=00:00:01, Transfer rate=413.0 K Bytes/sec
ond
26-Apr 22:00 sl-bareos01-sd JobId 34: Alert: smartctl 5.41 2011-06-09 r3365 [x86_64-linux-3.
2.0-29-generic] (local build)
26-Apr 22:00 sl-bareos01-sd JobId 34: Alert: Copyright (C) 2002-11 by Bruce Allen, http://sm [^]
artmontools.sourceforge.net
26-Apr 22:00 sl-bareos01-sd JobId 34: Alert:
26-Apr 22:00 sl-bareos01-sd JobId 34: Alert: TapeAlert: OK
26-Apr 22:00 sl-bareos01-sd JobId 34: Alert:
26-Apr 22:00 sl-bareos01-sd JobId 34: Alert: Error Counter logging not supported
26-Apr 22:00 sl-bareos01-dir JobId 34: Max configured use duration=2 sec. exceeded. Marking
Volume "VFB-0023" as Used.
26-Apr 22:00 sl-bareos01-dir JobId 34: Bareos sl-bareos01-dir 12.4.2 (03Mar13):
  Build OS: x86_64-pc-linux-gnu ubuntu Ubuntu 12.04 LTS
  Prev Backup JobId: 32
  Prev Backup Job: sl-bareos01_StdLinux.2013-04-21_22.00.00_32
  New Backup JobId: 35
  Current JobId: 34
  Current Job: Copy2Tape.2013-04-22_22.00.00_34
  Backup Level: Full
  Client: sl-bareos01-fd
  FileSet: "StdLinux" 2013-03-15 22:00:26
  Read Pool: "VFB" (From Job resource)
  Read Storage: "VFB" (From Pool resource)
  Write Pool: "Tape_8d" (From Job Pool's NextPool resource)
  Write Storage: "TSL" (From Storage from Pool's NextPool resource)
  Next Pool: "Tape_8d" (From Job Pool's NextPool resource)
  Catalog: "MyCatalog" (From Pool resource)
  Start time: 22-Apr-2013 22:00:02
  End time: 26-Apr-2013 22:00:10
  Elapsed time: 4 days 8 secs
  Priority: 14
  SD Files Written: 59
  SD Bytes Written: 413,013 (413.0 KB)
  Rate: 0.0 KB/s
  Volume name(s): E01001L4
  Volume Session Id: 30
  Volume Session Time: 1364397995
  Last Volume Bytes: 516,096 (516.0 KB)
  SD Errors: 0
  SD termination status: OK
  Termination: Copying OK

26-Apr 22:00 sl-bareos01-dir JobId 34: console command: run AfterJob "export storage=TSL vol
ume=VFB-0023"
26-Apr 22:00 sl-bareos01-dir JobId 0: Connecting to Storage daemon TSL at sl-bareos01.bareos
.lan:9103 ...
26-Apr 22:00 sl-bareos01-dir JobId 0: 3306 Issuing autochanger "slots" command.
26-Apr 22:00 sl-bareos01-dir JobId 0: Device "TSL" has 34 slots.
26-Apr 22:00 sl-bareos01-dir JobId 0: Connecting to Storage daemon TSL at sl-bareos01.bareos
.lan:9103 ...
26-Apr 22:00 sl-bareos01-dir JobId 0: 3306 Issuing autochanger "listall" command.
26-Apr 22:00 sl-bareos01-dir JobId 0: No volume named VFB-0023 in changer or in selected sou
rce slots.
26-Apr 22:00 sl-bareos01-dir JobId 0: Cannot perform an export operation without source slot
 selection
Additional Information### Copy2Tape Jobs ###
Job {
  Name = "Copy2Tape"
  Type = Copy
  JobDefs = "StdLinux"
  Level = Full
  Pool = VFB
  #Messages = Standard
  Messages = Tapes_entnehmen
  Storage = VFB
  Schedule = Copy2Tape
  Selection Type = SQLQuery
  Selection Pattern = "SELECT DISTINCT Job.JobId FROM Job WHERE Level='F' AND Type='B' AND Job.JobStatus IN ('T','W') AND poolid='7' ORDER BY Job.JobId DESC Limit 1;"
  Maximum Concurrent Jobs = 6
  Priority = 14
RunScript {
    Console = "export storage=TSL volume=%v"
    RunsWhen = After
    RunsOnClient = no
  }
}

Pool {
  Name = Tape_8d
  Pool Type = Backup
  Recycle = yes # Bareos can automatically recycle Volumes
  AutoPrune = yes # Prune expired volumes
  Volume Retention = 20 days # one year
  Volume Use Duration = 12 hours
  Storage = TSL
}

Pool {
  Name = VFB
  Label Format = "VFB-"
  Pool Type = Backup
  Recycle = yes # Bareos can automatically recycle Volumes
  AutoPrune = yes # Prune expired volumes
  Volume Retention = 3 month # one year
# Volume Use Duration = 12 hours
  Volume Use Duration = 2 seconds
  Storage = VFB
  Next Pool = Tape_8d
}

Schedule {
  Name = "Copy2Tape"
  Run = Full Priority=14 w01,w03,w05,w07,w09,w11,w13,w15,w17,w19,w21,w23,w25,w27,w29,w31,w33,w35,w37,w39,w41,w43,w45,w47,w49,w51,w53 mon at 22:00
}
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships
related to 0000153closed Messages Ressource does not get the correct volume in Variable %V when doing Copy jobs 

-  Notes
(0000313)
user12
2013-03-27 20:52

Very closely related to this issue is the fact that the variable substituion does not work in the message ressource:

Messages {
  Name = remove_tape
  mailcommand = "/usr/sbin/bsmtp -h localhost -f \"\(Remove Bareos Tape\) \<%r\>\" -s \"Bareos:Tape Backup %e please remove Tape %v\" %r"
  mail = root@localhost = all, !skipped
  console= all, !skipped, !saved
  catalog = all, !skipped, !saved
}

Message 45:
From root@localhost Tue May 7 23:55:23 2013
Return-Path: <root@localhost>
X-Original-To: root@localhost
Delivered-To: root@localhost
From: (Bareos Tape entnehmen) <root@localhost>
Subject: Bareos:Tape Backup Error please remove Tape VFB-0066
Sender: bareos@sl-bareos01.bareos.lan
To: root@localhost
Date: Tue, 07 May 2013 23:55:23 +0200 (CEST)
Status: RO
(0000321)
user12
2013-04-08 18:18

Problem still persistent:
Job {
  Name = "Copy2Tape"
  Type = Copy
  JobDefs = "StdLinux"
  Level = Full
  Pool = VFB
  Messages = Tapes_entnehmen
  Storage = VFB
  Schedule = Copy2Tape
  Selection Type = SQLQuery
  Selection Pattern = "SELECT max(JobId) FROM Job as J ,Pool as P WHERE J.poolid = P.poolid and J.Level='F' AND J.Type='B' AND J.JobStatus IN ('T','W') AND P.name = 'VFB';"
  Maximum Concurrent Jobs = 6
  Priority = 14
  RunScript {
    Console = "export storage=TSL volume=%V"
    RunsWhen = After
    RunsOnClient = no
  }
}

list jobs:
 jobid | name
 4 | Copy2Tape

*list joblog jobid=4
 sl-bareos01-dir JobId 4: The following 1 JobId was chosen to be copied: 2
 sl-bareos01-dir JobId 4: Copying using JobId=2 Job=sl-bareos01_StdLinux.2013-03-15_22.00.00_04
 sl-bareos01-dir JobId 4: Bootstrap records written to /var/lib/bareos/sl-bareos01-dir.restore.2.bsr
 sl-bareos01-dir JobId 4: Start Copying JobId 4, Job=Copy2Tape.2013-03-16_22.00.00_06
 sl-bareos01-dir JobId 4: Using Device "VirtualDiskStorage" to read.
 sl-bareos01-dir JobId 4: Using Volume "E01001L4" from 'Scratch' pool.
 sl-bareos01-dir JobId 4: Using Device "LTO-5" to write.
 sl-bareos01-sd JobId 4: Ready to read from volume "VFB-0034" on device "VirtualDiskStorage" (/var/lib/bareos/storage).
 sl-bareos01-sd JobId 4: 3307 Issuing autochanger "unload slot 32, drive 0" command.
 sl-bareos01-sd JobId 4: 3304 Issuing autochanger "load slot 1, drive 0" command.
 sl-bareos01-sd JobId 4: 3305 Autochanger "load slot 1, drive 0", status is OK.
 sl-bareos01-sd JobId 4: Wrote label to prelabeled Volume "E01001L4" on device "LTO-5" (/dev/nst0)
 sl-bareos01-sd JobId 4: Forward spacing Volume "VFB-0034" to file:block 0:202.
 sl-bareos01-sd JobId 4: End of Volume at file 0 on device "VirtualDiskStorage" (/var/lib/bareos/storage), Volume "VFB-
0034"
 sl-bareos01-sd JobId 4: End of all volumes.
 sl-bareos01-sd JobId 4: Elapsed time=00:00:01, Transfer rate=288.8 K Bytes/second
 sl-bareos01-sd JobId 4: Alert: smartctl 5.41 2011-06-09 r3365 [x86_64-linux-3.2.0-29-generic] (local build)
 sl-bareos01-sd JobId 4: Alert: Copyright (C) 2002-11 by Bruce Allen, http://smartmontools.sourceforge.net [^]
 sl-bareos01-sd JobId 4: Alert:
 sl-bareos01-sd JobId 4: Alert: TapeAlert: OK
 sl-bareos01-sd JobId 4: Alert:
 sl-bareos01-sd JobId 4: Alert: Error Counter logging not supported
 sl-bareos01-dir JobId 4: Max configured use duration=2 sec. exceeded. Marking Volume "VFB-0034" as Used.
 sl-bareos01-dir JobId 4: Bareos sl-bareos01-dir 13.1.0 (13Feb13):
  Build OS: x86_64-pc-linux-gnu ubuntu Ubuntu 12.04 LTS
  Prev Backup JobId: 2
  Prev Backup Job: sl-bareos01_StdLinux.2013-03-15_22.00.00_04
  New Backup JobId: 5
  Current JobId: 4
  Current Job: Copy2Tape.2013-03-16_22.00.00_06
  Backup Level: Full
  Client: sl-bareos01-fd
  FileSet: "StdLinux" 2013-03-15 22:00:00
  Read Pool: "VFB" (From Job resource)
  Read Storage: "VFB" (From Pool resource)
  Write Pool: "Tape_8d" (From Job Pool's NextPool resource)
  Write Storage: "TSL" (From Storage from Pool's NextPool resource)
  Next Pool: "Tape_8d" (From Job Pool's NextPool resource)
  Catalog: "MyCatalog" (From Pool resource)
  Start time: 16-Mar-2013 22:00:02
  End time: 16-Mar-2013 22:00:03
  Elapsed time: 1 sec
  Priority: 14
  SD Files Written: 73
  SD Bytes Written: 288,811 (288.8 KB)
  Rate: 288.8 KB/s
  Volume name(s): E01001L4
  Volume Session Id: 4
  Volume Session Time: 1363554792
  Last Volume Bytes: 387,072 (387.0 KB)
  SD Errors: 0
  SD termination status: OK
  Termination: Copying OK

 sl-bareos01-dir JobId 4: console command: run AfterJob "export storage=TSL volume=VFB-0034"

16-Mar 22:00 sl-bareos01-dir JobId 0: Connecting to Storage daemon TSL at sl-bareos01.bareos.lan:9103 ...
16-Mar 22:00 sl-bareos01-dir JobId 0: 3306 Issuing autochanger "slots" command.
16-Mar 22:00 sl-bareos01-dir JobId 0: Device "TSL" has 34 slots.
16-Mar 22:00 sl-bareos01-dir JobId 0: Connecting to Storage daemon TSL at sl-bareos01.bareos.lan:9103 ...
16-Mar 22:00 sl-bareos01-dir JobId 0: 3306 Issuing autochanger "listall" command.
16-Mar 22:00 sl-bareos01-dir JobId 0: No volume named VFB-0034 in changer or in selected source slots.
16-Mar 22:00 sl-bareos01-dir JobId 0: Cannot perform an export operation without source slot selection
(0000323)
user12
2013-04-09 13:23

issue is somewhat persisting regarding the e-mail notification. The transfer worked alright:

16-Mar 22:00 sl-bareos01-dir JobId 0: Connecting to Storage daemon TSL at sl-bareos01.bareos.lan:9103 ...
16-Mar 22:00 sl-bareos01-dir JobId 0: 3306 Issuing autochanger "slots" command.
16-Mar 22:00 sl-bareos01-dir JobId 0: Device "TSL" has 34 slots.
16-Mar 22:00 sl-bareos01-dir JobId 0: Connecting to Storage daemon TSL at sl-bareos01.bareos.lan:9103 ...
16-Mar 22:00 sl-bareos01-dir JobId 0: 3306 Issuing autochanger "listall" command.
16-Mar 22:00 sl-bareos01-dir JobId 0: Automatically selected Catalog: MyCatalog
16-Mar 22:00 sl-bareos01-dir JobId 0: Using Catalog "MyCatalog"
16-Mar 22:00 sl-bareos01-dir JobId 0: Connecting to Storage daemon TSL at sl-bareos01.bareos.lan:9103 ...
16-Mar 22:00 sl-bareos01-dir JobId 0: 3307 Issuing autochanger "unload slot 1, drive 0" command.
16-Mar 22:00 sl-bareos01-dir JobId 0: 3022 Device ""LTO-5" (/dev/nst0)" released.
16-Mar 22:00 sl-bareos01-dir JobId 0: Connecting to Storage daemon TSL at sl-bareos01.bareos.lan:9103 ...
16-Mar 22:00 sl-bareos01-dir JobId 0: 3306 Issuing autochanger transfer command.
16-Mar 22:00 sl-bareos01-dir JobId 0: 3308 Successfully transfered volume from slot 1 to 34.

But the messages reads to unload Tape VFB-0034. But VFB-0034 is not a tape.

Message 5:
From root@localhost Sat Mar 16 22:00:24 2013
Return-Path: <root@localhost>
X-Original-To: root@localhost
Delivered-To: root@localhost
From: (Bareos Tape entnehmen) <root@localhost>
Subject: Bareos:Tape Sicherung Error bitte Tape VFB-0034 entnehmen
Sender: bareos@sl-bareos01.bareos.lan
To: root@localhost
Date: Sat, 16 Mar 2013 22:00:24 +0100 (CET)
Status: RO
(0000325)
mvwieringen (developer)
2013-04-09 14:22

Did you change the %v to %V in the message resource for the email ?
(0000329)
user12
2013-04-09 14:40

# mailcommand = "/usr/sbin/bsmtp -h mail -f \"\(Bareos Tape entnehmen\) \<%r\>\" -s \"Bareos:Tape Sicherung %e bitte Tape %V entnehmen\" %r"
(0000333)
user12
2013-04-10 14:31

Problem solved: Des(tinatio)Volume: E01001L4

Message 5:
From root@localhost Sat Mar 16 22:00:05 2013
Return-Path: <root@localhost>
X-Original-To: root@localhost
Delivered-To: root@localhost
From: (Bareos Tape entnehmen) <root@localhost>
Subject: Client: sl-bareos01-fd Director: sl-bareos01-dir Job Exit Code: Error JobId: 4 UniqueJI: Copy2Tape.2013-03-16_22.00.00_05 Level: Full Jobname: Copy2Tape Since: *none* JobType: Copy Recipient: root@localhost SrcVolname: VFB-0034 DesVolname: E01001L4, JobBytes: 10562077
Sender: bareos@sl-bareos01.bareos.lan
To: root@localhost
Date: Sat, 16 Mar 2013 22:00:05 +0100 (CET)
Status: RO
(0000335)
user12
2013-04-10 16:01

Problem in 12.4.2-1 persistant: Des(tination)Volname: VFB-0034 instead of Tape-Volume E01001L4

From root@localhost Sat Mar 16 22:00:08 2013
Return-Path: <root@localhost>
X-Original-To: root@localhost
Delivered-To: root@localhost
Received: from sl-bareos01.bareos.lan (localhost [127.0.0.1])
        by sl-bareos01.bareos.lan (Postfix) with SMTP id 655BC40A48
        for <root@localhost>; Sat, 16 Mar 2013 22:00:08 +0100 (CET)
From: (Bareos Tape entnehmen) <root@localhost>
Subject: Client: sl-bareos01-fd Director: sl-bareos01-dir Job Exit Code: Error JobId: 4 UniqueJI: Copy2Tape.2013-03-16_22.00.00_06 Level: Full Jobname: Copy2Tape Since: *none* JobType: Copy Recipient: root@localhost SrcVolname: VFB-0034 DesVolname: VFB-0034, JobBytes: 10717410
Sender: bareos@sl-bareos01.bareos.lan
(0000336)
mvwieringen (developer)
2013-04-10 16:05

The mail problem won't be fixed any time soon in 12.4.x as it needs a change that
is rather heavy and I first want to do more tests with those for some time
on master (e.g. 13.2.0) The export should work now as I did backport the two
earlier fixes.
(0000340)
user12
2013-04-11 14:23

Workaround:

RunAfterJob = "/bin/bash -c \"/bin/echo Remove Tape %V | /usr/sbin/bsmtp -h localhost -f root@localhost -s 'Remove Tape %V' root@localhost \""
(0000353)
pstorz (administrator)
2013-04-17 13:00

Created new Issue for Message Problem with %V Volume Variable, as this issue is solved.
(0000598)
mvwieringen adm (administrator)
2013-08-13 03:12

Fix committed to bareos bareos-12.4 branch with changesetid 959.
(0001383)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-13.2 branch with changesetid 4271.
(0001537)
joergs (administrator)
2015-03-25 19:18

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: bareos-12.4 8b23951f
Timestamp: 2013-05-04 11:14:58
Author: mvwieringen adm
Ported: N/A
Details ] Diff ]
For migration/copy Jobs need to look at mig_jcr.

Added new %V option to expansion variables which is the same as %v
but always prints the destination Volumes a Job used. For migration
and copy Jobs this expansion looks at the mig_jcr pointer in the JCR.

As this mig_jcr only exists in the director the %V is expanded in
the callback expansion function in the director as in the generic
expansion function is compiled as part of the generic shared library
we are missing that variable there.

While implementing this expansion also reformated the whole function
as the switch statement was wrongly indented. Removed unneeded break
statements after a return. Document what is expanded in the callback
expansion function.

Fixes 0000139: export command in a RunScript ressource does not get the
correct volume when doing scheduled JobType Copy
mod - src/dird/dird_conf.c Diff ] File ]
mod - src/lib/util.c Diff ] File ]
bareos: bareos-12.4 d8d10637
Timestamp: 2013-05-04 11:14:59
Author: mvwieringen adm
Ported: N/A
Details ] Diff ]
mig_jcr is freed to early.

Because the mig_jcr is already freed in the migration_cleanup() function
all info is lost when we get to the after runscript. This is a design
error so we moved the freeing of the mig_jcr now to just before the Job
actually exits and has done all its work.

Fixes 0000139: export command in a RunScript ressource does not get the
correct volume when doing scheduled JobType Copy
mod - src/dird/job.c Diff ] File ]
mod - src/dird/migrate.c Diff ] File ]
bareos2015: bareos-12.4 5b3150fb
Timestamp: 2013-05-04 13:14:58
Author: mvwieringen
Ported: N/A
Details ] Diff ]
For migration/copy Jobs need to look at mig_jcr.

Added new %V option to expansion variables which is the same as %v
but always prints the destination Volumes a Job used. For migration
and copy Jobs this expansion looks at the mig_jcr pointer in the JCR.

As this mig_jcr only exists in the director the %V is expanded in
the callback expansion function in the director as in the generic
expansion function is compiled as part of the generic shared library
we are missing that variable there.

While implementing this expansion also reformated the whole function
as the switch statement was wrongly indented. Removed unneeded break
statements after a return. Document what is expanded in the callback
expansion function.

Fixes 0000139: export command in a RunScript ressource does not get the
correct volume when doing scheduled JobType Copy
mod - src/dird/dird_conf.c Diff ] File ]
mod - src/lib/util.c Diff ] File ]
bareos2015: bareos-12.4 ae89b531
Timestamp: 2013-05-04 13:14:59
Author: mvwieringen
Ported: N/A
Details ] Diff ]
mig_jcr is freed to early.

Because the mig_jcr is already freed in the migration_cleanup() function
all info is lost when we get to the after runscript. This is a design
error so we moved the freeing of the mig_jcr now to just before the Job
actually exits and has done all its work.

Fixes 0000139: export command in a RunScript ressource does not get the
correct volume when doing scheduled JobType Copy
mod - src/dird/job.c Diff ] File ]
mod - src/dird/migrate.c Diff ] File ]
bareos: master a525b28f
Timestamp: 2013-05-04 19:14:31
Author: mvwieringen adm
Ported: N/A
Details ] Diff ]
For migration/copy Jobs need to look at mig_jcr.

Added new %V option to expansion variables which is the same as %v
but always prints the destination Volumes a Job used. For migration
and copy Jobs this expansion looks at the mig_jcr pointer in the JCR.

As this mig_jcr only exists in the director the %V is expanded in
the callback expansion function in the director as in the generic
expansion function is compiled as part of the generic shared library
we are missing that variable there.

While implementing this expansion also reformated the whole function
as the switch statement was wrongly indented. Removed unneeded break
statements after a return. Document what is expanded in the callback
expansion function.

Fixes 0000139: export command in a RunScript ressource does not get the
correct volume when doing scheduled JobType Copy
mod - src/lib/util.c Diff ] File ]
mod - src/dird/dird_conf.c Diff ] File ]
bareos: master 8aca2bc2
Timestamp: 2013-05-04 19:15:02
Author: mvwieringen adm
Ported: N/A
Details ] Diff ]
mig_jcr is freed to early.

Because the mig_jcr is already freed in the migration_cleanup() function
all info is lost when we get to the after runscript. This is a design
error so we moved the freeing of the mig_jcr now to just before the Job
actually exits and has done all its work.

Fixes 0000139: export command in a RunScript ressource does not get the
correct volume when doing scheduled JobType Copy
mod - src/dird/migrate.c Diff ] File ]
mod - src/dird/job.c Diff ] File ]
bareos2015: bareos-13.2 289aaacc
Timestamp: 2013-05-04 21:14:31
Author: mvwieringen
Ported: N/A
Details ] Diff ]
For migration/copy Jobs need to look at mig_jcr.

Added new %V option to expansion variables which is the same as %v
but always prints the destination Volumes a Job used. For migration
and copy Jobs this expansion looks at the mig_jcr pointer in the JCR.

As this mig_jcr only exists in the director the %V is expanded in
the callback expansion function in the director as in the generic
expansion function is compiled as part of the generic shared library
we are missing that variable there.

While implementing this expansion also reformated the whole function
as the switch statement was wrongly indented. Removed unneeded break
statements after a return. Document what is expanded in the callback
expansion function.

Fixes 0000139: export command in a RunScript ressource does not get the
correct volume when doing scheduled JobType Copy
mod - src/dird/dird_conf.c Diff ] File ]
mod - src/lib/util.c Diff ] File ]
bareos2015: bareos-13.2 bea20c2d
Timestamp: 2013-05-04 21:15:02
Author: mvwieringen
Ported: N/A
Details ] Diff ]
mig_jcr is freed to early.

Because the mig_jcr is already freed in the migration_cleanup() function
all info is lost when we get to the after runscript. This is a design
error so we moved the freeing of the mig_jcr now to just before the Job
actually exits and has done all its work.

Fixes 0000139: export command in a RunScript ressource does not get the
correct volume when doing scheduled JobType Copy
mod - src/dird/job.c Diff ] File ]
mod - src/dird/migrate.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-03-27 20:41 user12 New Issue
2013-03-27 20:52 user12 Note Added: 0000313
2013-03-28 09:43 mvwieringen Assigned To => mvwieringen
2013-03-28 09:43 mvwieringen Status new => acknowledged
2013-03-28 11:05 mvwieringen Changeset attached => bareos master a6919660
2013-03-28 11:05 mvwieringen Note Added: 0000314
2013-03-28 11:05 mvwieringen Status acknowledged => closed
2013-03-28 11:05 mvwieringen Resolution open => fixed
2013-04-08 18:18 user12 Note Added: 0000321
2013-04-08 18:18 user12 Status closed => feedback
2013-04-08 18:18 user12 Resolution fixed => reopened
2013-04-08 19:20 mvwieringen Changeset attached => bareos master 24ce429b
2013-04-08 19:20 mvwieringen Note Added: 0000322
2013-04-08 19:20 mvwieringen Status feedback => closed
2013-04-09 13:23 user12 Note Added: 0000323
2013-04-09 13:23 user12 Status closed => feedback
2013-04-09 14:22 mvwieringen Note Added: 0000325
2013-04-09 14:23 mvwieringen Changeset attached => bareos Branch-12.4 a1c1fdf5
2013-04-09 14:23 mvwieringen Changeset attached => bareos Branch-12.4 9660aa59
2013-04-09 14:23 mvwieringen Note Added: 0000326
2013-04-09 14:23 mvwieringen Status feedback => closed
2013-04-09 14:39 mvwieringen Status closed => feedback
2013-04-09 14:40 user12 Note Added: 0000329
2013-04-09 14:40 user12 Status feedback => assigned
2013-04-09 20:34 mvwieringen Changeset attached => bareos master 4c5ab7e7
2013-04-09 20:35 mvwieringen Changeset attached => bareos master 60613de9
2013-04-10 14:31 user12 Note Added: 0000333
2013-04-10 16:01 user12 Note Added: 0000335
2013-04-10 16:05 mvwieringen Note Added: 0000336
2013-04-11 14:23 user12 Note Added: 0000340
2013-04-11 15:50 mvwieringen Assigned To mvwieringen =>
2013-04-11 15:50 mvwieringen Severity major => minor
2013-04-11 15:50 mvwieringen Status assigned => acknowledged
2013-04-11 15:50 mvwieringen Resolution reopened => open
2013-04-12 16:38 maik Target Version 12.4.2 => 12.4.3
2013-04-17 12:58 pstorz Relationship added related to 0000153
2013-04-17 13:00 pstorz Note Added: 0000353
2013-04-17 13:00 pstorz Status acknowledged => closed
2013-04-17 13:00 pstorz Assigned To => pstorz
2013-04-17 13:00 pstorz Resolution open => fixed
2013-04-17 13:00 pstorz Fixed in Version => 12.4.3
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master 8aca2bc2
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master a525b28f
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos bareos-12.4 d8d10637
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos bareos-12.4 8b23951f
2013-08-13 03:12 mvwieringen adm Note Added: 0000598
2013-08-13 03:12 mvwieringen adm Assigned To pstorz => mvwieringen adm
2013-08-13 03:12 mvwieringen adm Status closed => resolved
2013-08-13 09:27 mvwieringen adm Note Deleted: 0000322
2013-08-13 09:27 mvwieringen adm Note Deleted: 0000314
2013-08-13 09:28 mvwieringen adm Note Deleted: 0000326
2013-08-13 09:28 mvwieringen adm Assigned To mvwieringen adm =>
2013-08-13 09:28 mvwieringen adm Status resolved => closed
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 ae89b531
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 5b3150fb
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 bea20c2d
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 289aaacc
2015-03-25 16:51 mvwieringen Note Added: 0001383
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:18 joergs Note Added: 0001537
2015-03-25 19:18 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker